• 1(current)
  • 2
  • 3
  • 4
  • 5
  • 10
  •   
  Thread Closed
Release Syfy Channel Video Addon
#1
New Addon with full episodes.
This addon requires a VPN such as Hotspot Shield outside of the US.
A 4-5 Mbps link as most of the video is 1080.
For most any platform other than Windows, Kodi 15.0 or upwards is required as ffmpeg requires https support in the build (gnutls or openssl) to be able to play the videos.

Available in the kodi.org repo
http://mirrors.xbmc.org/addons/gotham/pl...ideo.syfy/
#2
A new experimental version which adds descriptions and fixes the "Riese" series. The directories load slower due to the work needed to build the descriptions.
Version V1.0.2 in my git:
https://github.com/learningit/plugin.video.syfy

If this works for folks, I'll update the kodi.org repo.
#3
EDIT: Removed stupid question

BTW, the version I have won't show the episodes for "The Town of the Living Dead". It throws an exception when I try to select that program name.

http://sprunge.us/IFcd
Experience: It's what you get when you were expecting something else.
#4
afremont Wrote:BTW, the version I have won't show the episodes for "The Town of the Living Dead". It throws an exception when I try to select that program name.

Try "The Town of the Living Dead" on the website - the links are Dead Dead, that's why you get an error. Syfy will probably eventually correct the problem on the website and those links will probably work in the addon.
#5
I edited my original post to remove the dumb question. My wife thanks you very much for your work on this addon. She's a bit syfy channel fan.
Experience: It's what you get when you were expecting something else.
#6
Unable to play any episodes. Both versions. Kodi repo and latest GitHub zip downloaded today as of the writing of this reply. Temporary known issue or just me? Kodi 14.2 Android MXQ Set Top OTT. Envy. In Los Angeles. Plenty of bandwidth. Able to load addon and see listings but I get the "One or more items failed to play" message on all. Thanks for your work on this great project. Much Love Wink
#7
(2015-05-19, 12:57)bigbeatpro Wrote: Unable to play any episodes. Both versions. Kodi repo and latest GitHub zip downloaded today as of the writing of this reply. Temporary known issue or just me? Kodi 14.2 Android MXQ Set Top OTT. Envy. In Los Angeles. Plenty of bandwidth. Able to load addon and see listings but I get the "One or more items failed to play" message on all. Thanks for your work on this great project. Much Love Wink

It's working ok for me. Was it working for you at any time? The Android version of 14.2 is usually missing ssl support in ffmpeg which is needed for this addon. It will mostly likely work with a 15.0 or higher version of Kodi - I believe that ssl support is in all Android builds higher than 15.0.
#8
Can somebody please confirm, does this add-on work outside of US or not? I am in Australia and am getting the "One or more items failed to play" message on every listed episode/clip.
My Kodi is 14.2 running on Ubuntu 14.04.2
I'd like to know if this add-on is supposed to work outside US but I am missing something... or if it is prevented from working outside the US by design?
#9
(2015-05-20, 15:18)blackdalek Wrote: Can somebody please confirm, does this add-on work outside of US or not? I am in Australia and am getting the "One or more items failed to play" message on every listed episode/clip.
My Kodi is 14.2 running on Ubuntu 14.04.2
I'd like to know if this add-on is supposed to work outside US but I am missing something... or if it is prevented from working outside the US by design?
You need 3 things to make this work:
1) A version of Kodi that has ssl support in ffmpeg. If you look in your error log after trying to play and see an ffmpeg error to recompile using gnutls or openssl, you do not have a version which support ssl in ffmpeg. Many 14.2 builds do not provide this. Most 15,0 and upwards do.
2) A US proxy may be necessary where you are.
3) You need 4-5Mbps link (through the proxy if it's being used) - this is the one which usually is a problem for folks in Australia and NZ.

If you turn on debugging and verbose curl library logging and then post the log I can take a look. It does work for a number of folks outside the US.
#10
(2015-05-20, 15:32)learningit Wrote: You need 3 things to make this work:
1) A version of Kodi that has ssl support in ffmpeg. If you look in your error log after trying to play and see an ffmpeg error to recompile using gnutls or openssl, you do not have a version which support ssl in ffmpeg. Many 14.2 builds do not provide this. Most 15,0 and upwards do.
2) A US proxy may be necessary where you are.
3) You need 4-5Mbps link (through the proxy if it's being used) - this is the one which usually is a problem for folks in Australia and NZ.

If you turn on debugging and verbose curl library logging and then post the log I can take a look. It does work for a number of folks outside the US.

My connection is ADSL and downstream is about 23000 Kbps

Could not find any option to specify a proxy in the add-on nor any global setting for proxy in Kodi's settings. Not sure how to tell Kodi to use a proxy.

When I turned on verbose logging for curl, the log file got filled with invalid characters which gedit couldn't handle. I've linked to the log file anyway as is below.
http://paste.ubuntu.com/11256910/
#11
(2015-05-21, 06:05)blackdalek Wrote: My connection is ADSL and downstream is about 23000 Kbps

Could not find any option to specify a proxy in the add-on nor any global setting for proxy in Kodi's settings. Not sure how to tell Kodi to use a proxy.

When I turned on verbose logging for curl, the log file got filled with invalid characters which gedit couldn't handle. I've linked to the log file anyway as is below.
http://paste.ubuntu.com/11256910/
You have ssl support in ffmpeg. You are getting a 403 forbidden error which indicates that you need to use a US proxy during playback which needs to be done at Kodi level rather than the addon. You need to set advanced level settings view (varies with the skin - You may need to go into Confluence to set this), then go to Settings->Internet Access and configure the proxy there.
#12
(2015-05-21, 06:44)learningit Wrote: You need to set advanced level settings view (varies with the skin - You may need to go into Confluence to set this), then go to Settings->Internet Access and configure the proxy there.

Thanks. I will give it a go Wink

...now to find a suitable working US proxy.
#13
Tried about 5 different US proxies... still getting 403 errors in the log Sad
At least now I am getting an "Opening stream" window before it fails with error.
I do not know where the best place to find working proxies is. I guess I will keep searching.
#14
Add-on is working for me in Germany with Hotspot Shield activated but not with a system wide US proxy.

The system wide proxy never worked for me at all.
#15
(2015-05-21, 08:36)blackdalek Wrote: Tried about 5 different US proxies... still getting 403 errors in the log Sad
At least now I am getting an "Opening stream" window before it fails with error.
I do not know where the best place to find working proxies is. I guess I will keep searching.

A free proxy/dns service probably won't have 4-5Mbps and/or https. These are usually paid services, but many have free trial periods that let you check them out. Some folks have had success with Hotspot Shield. I use my own VPN to my home network when outside the US so I don't know much about this.
  • 1(current)
  • 2
  • 3
  • 4
  • 5
  • 10
  •   
  Thread Closed
 
Thread Rating:
  • 2 Vote(s) - 4.5 Average



Logout Mark Read Team Forum Stats Members Help
Syfy Channel Video Addon4.52